import { Controller, type ReactiveElement } from '@a11d/lit';
export type PointerType = 'mouse' | 'touch' | 'pen';
export interface PointerTypeControllerOptions {
    handleTypeChange?(type: PointerType): void;
}
export declare class PointerTypeController extends Controller {
    protected readonly host: ReactiveElement;
    protected readonly options?: PointerTypeControllerOptions | undefined;
    private static readonly change;
    private static _type;
    private static get type();
    private static set type(value);
    constructor(host: ReactiveElement, options?: PointerTypeControllerOptions | undefined);
    get type(): PointerType;
    hostConnected(): void;
    hostDisconnected(): void;
    private readonly handleChange;
}
//# sourceMappingURL=PointerTypeController.d.ts.map